> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v1/integrations/amelia/agents

> List Amelia agents.

Returns the AI agent names in one Amelia domain. Set `domain_code` to the domain code of the bot.## Query parameters

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## ResponseThe response is `object`.## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request GET \
  --url 'https://api.getbluejay.ai/v1/integrations/amelia/agents?domain_code=<domain_code>' \
  --header 'X-API-Key: <api-key>'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.